package lab.actors 
{
	import as3isolib.core.IsoDisplayObject;
	import as3isolib.display.IsoSprite;
	import as3isolib.display.primitive.IsoBox;
	import as3isolib.enum.RenderStyleType;
	import as3isolib.graphics.SolidColorFill;
	import as3isolib.graphics.Stroke;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import lab.actors.api.BaseActor;
	import lab.core.IsoLevel;
	import lab.data.Items;
	import lab.data.ItemVO;
	import lab.display.DataImage;
	import lab.embed.Atlases;
	import lab.registry.Reg;
	import nl.dpdk.utils.NumberUtils;
	import starling.animation.Tween;
	import starling.core.Starling;
	import starling.textures.Texture;
	
	/**
	 * ...
	 * @author Roma Kraminskij - kraminskij@gmail.com
	 */
	public class AutoDoorActor extends BaseActor 
	{
		
		public function AutoDoorActor( item:ItemVO=null, level:IsoLevel=null ) 
		{
			super();
			
			//if ( item != null && level != null ) start(item, level);
		}
		
		/**
		 * Build actors sprites and actions.
		 * @param	item
		 * @param	level
		 */
		public override function start( item:ItemVO = null, level:IsoLevel=null ):void 
		{
			super.start( item, level );
			
			var texture:Texture = Atlases.getAtlas( "tiles_00" ).getTexture( item.type );
			var image:DataImage = new DataImage( texture, item );
			
			var k:Number = texture.height / texture.width;
			
			image.width = IsoLevel.CELL_SIZE * 2;
			image.height = IsoLevel.CELL_SIZE * 2 * k;
			image.x = -IsoLevel.CELL_SIZE;
			image.y = -( ( IsoLevel.CELL_SIZE * 2 * k ) - IsoLevel.CELL_SIZE );
			image.smoothing = Reg.TEXTURE_SMOOTHING;
			
			var sprite:IsoSprite = new IsoSprite();
			
			sprite.name = item.type;
			sprite.sprites = [ image ];
			sprite.data = item;
			sprite.setSize( IsoLevel.CELL_SIZE, IsoLevel.CELL_SIZE, IsoLevel.CELL_SIZE );
			sprite.moveTo( item.x * IsoLevel.CELL_SIZE-1, item.y * IsoLevel.CELL_SIZE-1, 0 );
			
			level.scene.addChild( sprite );
			
			item.addObj( sprite );
			
			addAutoDoorAnimation( sprite );
		}
		
		private function addAutoDoorAnimation( obj:IsoDisplayObject ):void
		{
			var tw0:Tween = new Tween( obj, 2 );
			tw0.delay = 2;
			tw0.animate("z", -IsoLevel.CELL_SIZE);
			tw0.repeatCount = 0;
			tw0.reverse = true;
			tw0.repeatDelay = 2;
			tw0.onUpdate = updateScene;
			tw0.onRepeat = repeatHandler;
			Starling.current.juggler.add(tw0);
		}
		
		private function repeatHandler():void
		{
			var c:XML = item.source.custom[0];
			
			c.@state = ( c.@state == "up") ? "down" : "up";
		}
		
		private function updateScene():void
		{
			level.isNeedUpdate = true;
			//level.scene.invalidateScene();
			//level.update();
		}
	}

}