package lab.data 
{
	import lab.actors.api.IActor;
	import lab.actors.AutoDoorActor;
	import lab.actors.EndLevelActor;
	import lab.actors.EnemyActor;
	import lab.actors.KeyTriggerActor;
	import lab.actors.PlayerActor;
	import lab.actors.TriggerActor;
	/**
	 * ...
	 * @author Roma Kraminskij - kraminskij@gmail.com
	 */
	public class Items 
	{
		public static const FLOOR		: String = "tile_";
		public static const WALL		: String = "wall_";
		public static const BOX			: String = "box_";
		public static const TRIGGER		: String = "trigger_";
		public static const DOOR		: String = "door_";
		public static const AUTO_DOOR	: String = "auto_door_"; 
		public static const KEY			: String = "key_";
		public static const START		: String = "start_";
		public static const END			: String = "end_";
		public static const ENEMY		: String = "enemy_";
		public static const PLAYER		: String = "player_";
		
		private static const actors:Array = [ { "type" : PLAYER,  	"actorClass" : PlayerActor },
											  { "type" : TRIGGER, 	"actorClass" : TriggerActor },
											  { "type" : AUTO_DOOR, "actorClass" : AutoDoorActor },
											  { "type" : END,	  	"actorClass" : EndLevelActor }, 
											  { "type" : KEY,	  	"actorClass" : KeyTriggerActor },
											  { "type" : ENEMY,	  	"actorClass" : EnemyActor }, ];
		
		public function Items() 
		{
			
		}
		
		public static function getActorByType( type:String = null ) :  Class
		{
			for each ( var o:Object in actors )
			{
				if ( type.indexOf( o.type ) == 0 ) return o.actorClass;
			}
			
			return null;
		}
		
	}

}







































