package mvc.ui.editor.models 
{
	import flash.geom.Point;
	import mvc.models.BaseModel;
	import mvc.ui.editor.models.EditorItemVO;
	import mvc.ui.game.models.LevelModel;
	/**
	 * ...
	 * @author Roma Kraminskij - kraminskij@gmail.com
	 */
	public class EditorModel extends BaseModel 
	{
		public static const MAX_UNDO:int = 50;
		public static const DEFAULT_LEVEL_SIZE:Point = new Point(12,12);
		// States of level in xml.
		public var undos:Vector.<XML> = new Vector.<XML>;
		public var currentUndo:int = 0;
		public var currentLevelXML:XML = null;
		public var levelModel:LevelModel = null;
		public var currentItem:EditorItemVO;
		
		public function EditorModel() 
		{
			super();
		}
		
		public function reset(level:int=1):void
		{
			
		}
		
		public function undo():XML
		{
			if ( undos.length < 1 ) return null;
			return null;
		}
		
		public function saveUndo( level:XML ):void
		{
			undos.push( level );
			currentUndo++;
			// TODO: Need shift all undos to MAX_UNDO limitation.
		}
		
		public function redo():XML
		{
			return undos[currentUndo];
			currentUndo--; 
			if ( currentUndo < 0 ) currentUndo = 0;
		}
		
		public function getEmptyLevelXML( width:int = 12, height:int = 12 ):XML
		{
			var xml:XML = <data width={width} height={height}></data>;
			
			for ( var x:int = 0; x < width; x++ )
			{
				for ( var y:int = 0; y < height; y++ )
				{
					var type:String = "floor_00";
					var x2:XML = <item x={x} y={y} type={type}/>;
					xml.appendChild( x2 ) ;
				}
			}
				
			return xml;
		}
	}

}