package mvc.ui.editor.views 
{
	import feathers.controls.renderers.DefaultListItemRenderer;
	import flash.utils.getTimer;
	import mvc.ui.editor.models.EditorItemVO;
	import starling.display.DisplayObject;
	import starling.display.Image;
	import starling.textures.Texture;
	
	/**
	 * ...
	 * @author Roma Kraminskij - kraminskij@gmail.com
	 */
	public class ObjectIR extends DefaultListItemRenderer 
	{
		private static const tS:Texture = Texture.fromColor( 8, 8, 0xff8888ff );
		private static const tN:Texture = Texture.fromColor( 8, 8, 0x888888ff );
		
		
		public function ObjectIR() 
		{
			super();
			
			iconFunction = iFunction;
			labelFunction = lFunction; 
			
			setSize( 128, 64 );
			
			defaultSelectedSkin = new Image( tS );
			defaultSkin = new Image( tN );
		}
		
		private function lFunction(value:Object=null):String
		{
			if ( value != null && value is EditorItemVO )
			{
				return value.name;
			}
			
			return null;
		}
		
		private function iFunction( value:Object = null ):DisplayObject
		{
			if ( value != null && value is EditorItemVO )
			{
				var i:Image = new Image( value.texture );
				i.scaleX = i.scaleY = 0.5;
				return i;
			}
			
			return null; 
		}
		
		/**
		 * @private
		 */
		public override function set data(value:Object):void
		{
			super.data = value;
			
			if ( super.data is EditorItemVO )
			{
				trace();
			}
		}
	}

}