package mvc.ui.editor.views 
{
	import feathers.controls.List;
	import feathers.layout.TiledColumnsLayout;
	import feathers.layout.TiledRowsLayout;
	import flash.geom.Point;
	import starling.core.Starling;
	import starling.events.Event;
	
	/**
	 * ...
	 * @author Roma Kraminskij - kraminskij@gmail.com
	 */
	public class ObjectsList extends List 
	{
		private var _size:Point = null;
		
		
		public function ObjectsList( width:int=100, height:int=100 ) 
		{
			super();
			
			_size = new Point( width, height );
			
			itemRendererType = ObjectIR;
			
			this.addEventListener( Event.ADDED_TO_STAGE, addHandler );
		}
		
		private function addHandler(e:Event):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, addHandler);
			
			const listLayout:TiledRowsLayout = new TiledRowsLayout();
			listLayout.paging = TiledRowsLayout.PAGING_NONE;
			listLayout.useSquareTiles = false;
			listLayout.tileHorizontalAlign = TiledRowsLayout.TILE_HORIZONTAL_ALIGN_CENTER;
			listLayout.horizontalAlign = TiledRowsLayout.HORIZONTAL_ALIGN_CENTER;
			listLayout.manageVisibility = true;
			
			layout = listLayout;
			
			snapToPages = false;
			
			scrollBarDisplayMode = List.SCROLL_BAR_DISPLAY_MODE_FIXED;
			verticalScrollPolicy = List.SCROLL_POLICY_ON;
			horizontalScrollPolicy = List.SCROLL_POLICY_OFF;
			
			/*width = _size.x;
			height = _size.y;*/
			setSize( _size.x, _size.y );
			validate();
		}
		
	}

}











































