package mvc.ui.game.commands 
{
	import flash.events.IEventDispatcher;
	import lab.embed.Levels;
	import mvc.ui.editor.models.EditorModel;
	import mvc.ui.editor.views.EditorView;
	import mvc.ui.game.events.GameEvent;
	import mvc.ui.game.models.GameModel;
	import mvc.ui.game.models.LevelModel;
	import mvc.ui.game.views.GameView;
	import mvc.ui.root.models.AppModel;
	import mvc.ui.starling.views.StarlingRoot;
	import mvc.ui.toolspanel.views.ToolsView;
	import robotlegs.bender.extensions.commandCenter.api.ICommand;
	import robotlegs.bender.framework.api.ILogger;
	import starling.core.Starling;
	import starling.display.DisplayObject;
	import starling.display.DisplayObjectContainer;
	import swa.seq.Sequence;
	import swa.tasks.CallbackTask;
	
	/**
	 * ...
	 * @author Roma Kraminskij - kraminskij@gmail.com
	 */
	public class GameStartCommand implements ICommand 
	{
		[Inject] public var event		: GameEvent;
		[Inject] public var appModel	: AppModel;
		[Inject] public var gameModel	: GameModel;
		[Inject] public var levelModel	: LevelModel;
		[Inject] public var editorModel	: EditorModel;
		[Inject] public var dispatcher	: IEventDispatcher;
		[Inject] public var logger		: ILogger;
		
		private var seq					: Sequence = null;
		private var level				: int 	= 1;
		private var levelClass			: Class = null;
		
		public function GameStartCommand()
		{
		}
		
		/* INTERFACE robotlegs.bender.extensions.commandCenter.api.ICommand */
		
		public function execute():void 
		{
			level = event.selectedLevel;
			
			seq = new Sequence( true );
			
			seq.add( new CallbackTask( removeChildren ) );
			
			seq.onEnd.add( done );
			
			seq.run();
		}
		
		
		private function done():void 
		{
			seq.onEnd.removeAll();
			
			if ( event.isRunEditor ) 
			{
				levelModel.source = editorModel.getEmptyLevelXML();
				levelModel.source = new XML( new Levels.levels[0] );
				gameModel.isEditorMode = true;
				( Starling.current.root as StarlingRoot ).addChildAt( new GameView( level ), 0 );
				( Starling.current.root as StarlingRoot ).addChildAt( new EditorView(), 0 );
			}
			else
			{
				levelModel.source = new XML( new Levels.levels[level-1] );
				( Starling.current.root as StarlingRoot ).addChildAt( new GameView( level ), 0 );
				gameModel.isEditorMode = false;
			}
		}
		
		/**
		 * Remove all from root, exept Tools.
		 */
		private function removeChildren():void
		{
			var d:DisplayObjectContainer = ( Starling.current.root as StarlingRoot ) as DisplayObjectContainer;
			
			var arr:Array = [];
			
			for ( var i:int = 0; i < d.numChildren; i++ )
			{
				if ( d.getChildAt( i ) is ToolsView ) continue;
				arr.push( d.getChildAt( i ) );
			}
			
			for each ( var o:DisplayObject in arr )	o.removeFromParent( true );
		}
	}

}


















































