package mvc.ui.menu.views 
{
	import feathers.controls.Button;
	import feathers.controls.Panel;
	import feathers.core.FeathersControl;
	import feathers.core.IFeathersControl;
	import feathers.display.Scale9Image;
	import feathers.textures.Scale9Textures;
	import flash.geom.Rectangle;
	import lab.embed.Atlases;
	import lab.embed.Levels;
	import mvc.controls.Box;
	import starling.core.Starling;
	import starling.display.Image;
	import starling.display.Stage;
	import starling.filters.BlurFilter;
	
	/**
	 * ...
	 * @author Roma Kraminskij - kraminskij@gmail.com
	 */
	public class MenuView extends Panel 
	{
		public var levels:LevelsList;
		
		public var playButton:Button;
		public var optionsButton:Button;
		public var editorButton:Button;
		public var i:Image; // Bg.
		
		public function MenuView() 
		{
			super();
			
			var sc0:Scale9Image = new Scale9Image( new Scale9Textures( Atlases.getTexture( "gui_00", "medium_bg0" ), new Rectangle(33,35,116,87) ) );
				
			this.backgroundSkin = sc0;
			
			var b:Box = new Box(Box.VERCTICAL_LAYOUT_TYPE);
			
			b.percentWidth = 100;
			b.percentHeight = 100;
			
			playButton = new Button( );
			playButton.label = "Play (level1)";
			playButton.defaultSkin = new Image( Atlases.getTexture( "gui_00", "medium_bg0" ) );
			
			optionsButton = new Button( );
			optionsButton.label = "Options";
			
			optionsButton.defaultIcon = new Image( Atlases.getAtlas("gui_00").getTexture("options") );
			optionsButton.defaultIcon.filter = BlurFilter.createDropShadow();
			optionsButton.defaultIcon.width = 32;
			optionsButton.defaultIcon.height = 32;
			optionsButton.defaultSkin = new Image( Atlases.getTexture( "gui_00", "medium_bg0" ) );
			
			editorButton = new Button();
			editorButton.label = "Editor";
			optionsButton.defaultSkin = new Image( Atlases.getTexture( "gui_00", "medium_bg0" ) );
			// TODO: Please call data builder from mediator.
			levels = new LevelsList( Box.HORIZONTAL_LAYOUT_TYPE, Levels.levels );
			
			b.addChild( playButton );
			b.addChild( levels );
			b.addChild( optionsButton );
			b.addChild( editorButton );
			
			addChild( b );
			
			setSize( 436, 385 );
			
			headerFactory = headerNuller;
		}
		
		private function headerNuller():IFeathersControl
		{
			var f:FeathersControl = new FeathersControl();
			f.setSize( 0, 0)
			return f;
		}
		
		public function place():void 
		{
			var stage:starling.display.Stage = Starling.current.stage;
			
			x = ( stage.stageWidth - width ) / 2;
			y = ( stage.stageHeight - height ) / 2;
			
			i = new Image( Atlases.getTexture( "gui_00", "medium_bg2" ) );
			i.width = stage.stageWidth;
			i.height = stage.stageHeight;
			stage.addChildAt( i, 0 );
		}
	}

}













































